{#<!DOCTYPE html>#}
{#<html lang="en">#}
{#<head>#}
{#    <meta charset="UTF-8">#}
{#    <title>test</title>#}
{#    <script src="/static/vue.js"></script>#}
{#    <script src="/static/axios.min.js"></script>#}
{#    <script src="/static/components/comment-item.js"></script>#}
{#</head>#}
{#<body>#}
{% extends 'login_base.html' %}
{% block title %}同新云论坛{% endblock %}
{% block content %}
    {% verbatim %}
    <div class="container">
        <div class="main-left">
            <p class="post_nav">
                <a href="/index/" target="_blank">论坛首页></a>
                <a :href="'/index/'+block_parent+'/'+block_name_url" target="_blank">{{ block_name }}></a>
                <span>{{ title }}</span>
            </p>
            <div class="content">
                <div v-if="topic!=''" ><h4><span  class="topic">#{{ topic }}#</span></h4>
                    </div>
                <h3 class="title">{{ title }}</h3>
                <p class="tips">
                    同新云&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{{ post_time }}
                </p>
                <div class="post-content">
                    <p style="word-break:break-all;">{{ post_content }}</p>
                    <div v-if="isimg(post_img)">
                        <img :src="post_img">
                    </div>
                    <div v-else-if="post_img!=''&&post_img!=null">
                        <a :href="post_img" style='padding:10px;'  :download="filename(post_img)"><img src="/static/icon/文件.svg" width="50px"></a>
                        <br>
                        <span style="color: red">{{ filename(post_img) }}</span>
                    </div>
                </div>
                <div class="menubar">
                    <span class="reply" @click="display"><i
                            style="{'background-image': url(getReplyIcon())}"></i>回复</span>
                    <span class="like" @click="like_post" :style="{color:LikeIcon.color}"><i
                            :style="{backgroundImage:`url(${LikeIcon.con})`}"></i>喜爱</span>
                    <span class="collect" @click="collect_post" :style="{color:CollectIcon.color}"><i
                            :style="{backgroundImage: `url(${CollectIcon.con})`}"></i>收藏</span>
                    <span class="dislike" @click="dislike_post" :style="{color:DislikeIcon.color}"><i
                            :style="{backgroundImage: `url(${DislikeIcon.con})`}"></i>不喜欢</span>
                </div>
                <div class="publisher smart-green" :class="{nodisplay:display_con.con}">
                    <link rel="stylesheet" href="https://at.alicdn.com/t/font_1696224_zabz6disucb.css">
                    <textarea id="post_text" v-model="post_text" maxlength="400" placeholder="分享你的看法，限400字"></textarea>
                    <a id="file_a" href="###" style="cursor:pointer" class="iconfont icon-wenjian"><b></b>文件</a>
                    <input type="file" name="file" ref="fileInt" class="fi"
                           style="width:50px;opacity:0;cursor:pointer;position:absolute;z-index:10;margin:3px 0 0 10px"
                           id="file"/>
                    <label>
                        <span>&nbsp; </span>
                        <input type="submit" @click="submit" class="button" value="发布"/>
                    </label>
                    <div style="clear: both"></div>
                </div>
                <div class="comment_list">
                    <p class="comment-list-title">
                        <img src="/static/post-pic/comment-pre-icon.png">
                        热门评论
                    </p>
                    <comment-item v-for="props in comments" v-bind="props">
                    </comment-item>
                </div>
            </div>
        </div>
        <div class="main-right">
            <div class="right_nav">
                <h1>热门</h1>
                <hr>
                <div v-for="(item,index) in top_posts">
                    <dl><a :href="'/post_detail/'+item.id">
                        <dt style="word-break: break-all"><span class="right_rank" style="background-color:rgb(247,92,92);">{{ index }}</span>{{
                            item.title }}
                        </dt>
                    </a>
                        <dt><span class="right_num">浏览量 {{ item.num }} 次</span></dt>
                    </dl>
                </div>
            </div>
        </div>
    </div>
    {% endverbatim %}
    <script src="https://cdn.jsdelivr.net/npm/vue"></script>
    <script src="/static/axios.min.js"></script>
    <script src="/static/components/comment-item.js"></script>
    <script type="text/javascript" src="/static/js/topic_control.js">
    </script>
    <script type="application/javascript">
        var post_id ={{ post_id }};
        var is_login=false
        var like_post=0;
        var collect_post=0;
        var dislike_post=0;
        var   like1 = new Icon(0, 'like.svg')
        var   collect1 = new Icon(0, 'collect.svg')
        var   dislike1 = new Icon(0, 'dislike.svg')

        function Icon(para, name) {
            <!--para为0或1-->
            this.like = para
            <!--name存放图片的名称-->
            this.name = name
            Icon.prototype.set = function (para) {
                this.like = para
            }
            Icon.prototype.getIcon = function () {
                if (this.like === 0)
                    return '/static/icon/' + this.name
                else
                    return '/static/icon2/' + this.name
            }
            Icon.prototype.getColor = function () {
                if (this.like === 0)
                    return ''
                else
                    return '#7c5dc7'
            }
        }

        new Vue({
            el: '.container',
            data:function() {
                return {
                    top_posts: [],
                    block_name: '',
                    block_name_url: '',
                    block_parent:0,
                    display_con: {
                        con: true
                    },
                    LikeIcon: {
                        con: '',
                        color: ''
                    },
                    CollectIcon: {
                        con: '',
                        color: ''
                    },
                    DislikeIcon: {
                        con: '',
                        color: ''
                    },
                    title: '',
                    topic:'',
                    post_time: '',
                    post_content: '',
                    post_img: '',
                    comments:[],
                    post_id: post_id,
                    post_text: ''
                }
            },
            methods: {
                submit:function() {
                    const file = this.$refs.fileInt.files[0];
                    console.log(file);
                    if (file)
                        if (file.size > 5000000) {
                            window.alert('你的文件太大，请上传小于5M的文件')
                            return
                        }
                    const formData = new FormData();
                    formData.append('file', file);
                    console.log(formData)
                    axios.post('/createcomment/', formData,
                        {  // 设置axios的参数
                            method: 'POST',
                            headers: {
                                'Content-Type': 'multipart/form-data'
                            },
                            params: {
                                post_id: post_id,
                                comment_id: 0,
                                post_text: this.post_text
                            }
                        }
                    )
                        .then(function (response) {
                            console.log(formData)
                            if (response.data === 'error')
                                window.alert('发布失败，请登录')
                            else {
                                window.alert('发布成功')
                                location.reload()
                            }

                        })
                        .catch(function (error) {
                            console.log(error);
                        });
                },
                {#判断是否图片#}
                filename:function(filepath){
                    if(filepath!=''&&filepath) {
                        var pos = filepath.lastIndexOf('/');//'/所在的最后位置'
                        var str = filepath.substr(pos + 1)//截取文件名称字符串
                        return str;
                    }
                    else{
                        return '';
                    }
                },
                isimg:function(filePath) {
                    if (filePath === 'None' || filePath == null) {
                        return false;
                    }
                    var index = filePath.lastIndexOf(".");
                    //获取后缀
                    var ext = filePath.substr(index + 1);
                    return [
                        'png', 'jpg', 'jpeg', 'bmp', 'gif', 'webp', 'svg', 'tiff'].indexOf(ext.toLowerCase()) !== -1;
                },
                display:function() {
                    if (is_login)
                        this.$set(this.display_con, 'con', !this.display_con.con);
                    else {
                        window.alert('请先登录')
                        return
                    }
                }
                ,
                like_post:function() {
                    if (is_login !== true) {
                        window.alert('请登录')
                        return
                    }
                    console.log('like');
                    like_post = 1 - like_post;
                    like1.set(like_post);
                    this.$set(this.LikeIcon, "con", like1.getIcon());
                    this.$set(this.LikeIcon, "color", like1.getColor());
                    axios.post('/like1/', {
                        method: 'like_post',
                        value: like_post,
                        post_id: post_id
                    })
                        .then(function (response) {
                            console.log('like commit success');
                        })
                        .catch(function (error) {
                            console.log(error);
                        });

                }
                ,
                collect_post:function() {
                    if (is_login !== true) {
                        window.alert('请登录')
                        return
                    }
                    collect_post = 1 - collect_post;
                    collect1.set(collect_post);
                    this.$set(this.CollectIcon, "con", collect1.getIcon());
                    this.$set(this.CollectIcon, "color", collect1.getColor());
                    axios.post('/like1/', {
                        method: 'collect_post',
                        value: collect_post,
                        post_id: post_id
                    })
                        .then(function (response) {
                            console.log('collect commit success');
                        })
                        .catch(function (error) {
                            console.log(error);
                        });
                }
                ,
                dislike_post:function() {
                    if (is_login !== true) {
                        window.alert('请登录');
                        return
                    }
                    dislike_post = 1 - dislike_post;
                    dislike1.set(dislike_post);
                    this.$set(this.DislikeIcon, "con", dislike1.getIcon());
                    this.$set(this.DislikeIcon, "color", dislike1.getColor());
                    axios.post('/like1/', {
                        method: 'dislike_post',
                        value: dislike_post,
                        post_id: post_id
                    })
                        .then(function (response) {
                            console.log('dislike commit success');
                        })
                        .catch(function (error) {
                            console.log(error);
                        });
                }
            },
            created: function () {
                axios.get('/put_posts/')
                    .then(response => {
                        this.top_posts = response.data['top_posts']
                    })
                    .catch(function (error) {
                        console.log(error);
                    });
                axios.get('/api/detail/' + String(post_id)+'/').then(response => {
                    this.post_time = response.data['post_time'];
                    this.block_parent = response.data['block_parent'];
                    this.title = response.data['title'];
                    this.topic=response.data['topic'];
                    console.log(this.topic)
                    this.block_name = response.data['block_name'];
                    this.block_name_url=encodeURI(this.block_name)
                    this.post_content = response.data['post_content'];
                    this.post_img = response.data['post_img'];
                    this.comments=JSON.parse(response.data['comments']);
                    is_login = response.data['is_login'];
                    like_post = response.data['like_post'];
                    collect_post = response.data['collect_post'];
                    dislike_post = response.data['dislike_post'];
                    like1.set(like_post)
                    collect1.set(collect_post)
                    dislike1.set(dislike_post)
                    this.LikeIcon.con = like1.getIcon()
                    this.LikeIcon.color = like1.getColor();
                    this.CollectIcon.con = collect1.getIcon()
                    this.CollectIcon.color = collect1.getColor();
                    this.DislikeIcon.con = dislike1.getIcon()
                    this.DislikeIcon.color = dislike1.getColor();
                }).catch(error => {
                    console.log(error)
                })
            }
        }
        )

    </script>
    <style>
        .nodisplay {
            display: none;
        }
        .topic{
            background-color: #eb9316;
            padding: 5px 15px;
            border-radius: 5px;
        }
        body {
            font-family: -apple-system, BlinkMacSystemFont, Segoe UI, PingFang SC, Hiragino Sans GB, Microsoft YaHei, Helvetica Neue, Helvetica, Arial, sans-serif, Apple Color Emoji, Segoe UI Emoji, Segoe UI Symbol
        }

        .container {
            display: block;
            width: 1100px;
            margin: 0 auto;
        }

        .main-left {
            float: left;
            width: 800px;
            padding-right: 55px;
        }

        .main-right {
            width: 250px;
            float: left;
        }

        .post_nav a {
            text-decoration: none;
            color: #000000;
        }

        .post_nav span {
            width: 456px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }

        .post_nav {
            margin-bottom: 15px;
        }

        .tips {
            text-decoration: none;
            border-bottom: 1px solid #0d3349;
            padding-bottom: 20px;
            margin-bottom: 20px;
        }

        .content {
            border: 1px solid #ebebeb;
            padding: 24px;
        }

        .content .publisher {
            margin-top: 20px;
            padding-top: 20px;
            height: auto;
        }

        .publisher textarea {
            height: 200px;
        }

        .post-content img {
            max-width: 400px;
            max-height: 600px;
        }

        .menubar {
            margin-top: 24px;
        }

        .menubar span {
            width: 112px;
            height: 32px;
            line-height: 32px;
            display: inline-block;
            margin-right: 24px;
            text-align: center;
            cursor: pointer;
            font-size: 13px;
        }

        .menubar .reply {
            border: 1px solid #ebebeb;
            border-radius: 16px;
        }

        .menubar i {
            display: inline-block;
            width: 18px;
            height: 18px;
            background-size: 100% 100%;
            vertical-align: -4px;
            margin-right: 5px;
        }

        .menubar .reply i {
            background-image: url(/static/icon/reply.svg);
        }

        .menubar .reply {
            color: #7c5dc7;
        }


        .comment_list {
            margin-top: 60px;
        }

        .comment-list-title {
            padding-bottom: 20px;
            border-bottom: 1px solid #ebebeb;
        }

        .comment-list-title image {
            top: 5px;
            position: relative;
        }

        .comment-item {
            display: block;
            border-bottom: 1px solid #ebebeb;;
            padding-top: 20px;
            padding-bottom: 20px;
        }

        .comment-item .comment-info {
            display: block;
        }

        .comment-item .user-pic {
            display: inline-block;
            height: 44px;
            width: 44px;
            vertical-align: top;
        }

        .user-pic img {
            height: 100%;
            width: 100%;
            border-radius: 50% 50%;
        }

        .user-info {
            margin-left: 12px;
            display: inline-block;
            vertical-align: top;
        }

        .comment-user-info {
            font-weight: 600;
            color: #333;
            font-size: 14px;
        }

        .comment-time {
            margin-top: 8px;
            font-size: 13px;
            color: #999;
        }

        .comment-con {
            padding-top: 16px;
            padding-left: 58px;
            line-height: 26px;
            font-size: 16px;
            margin-bottom: 16px;
        }

        .comment-con img {
            max-width: 300px;
            max-height: 600px;
        }

        .comment-footer {
            padding-left: 58px;
            display: block;
            overflow: hidden;
        }

        .comment-footer i {
            display: inline-block;
            width: 18px;
            height: 18px;
            background-size: 100% 100%;
            vertical-align: -4px;
            margin-right: 5px;
        }

        .comment-footer div {
            margin-right: 24px;
            font-size: 14px;
            line-height: 18px;
            cursor: pointer;
            display: inline-block;
        }

        .comment-footer span {
            float: right;
            color: #999;
            margin-top: 10px;
        }

        .comment-footer div:hover {
            color: #7c5dc7;
        }

        .comment-footer .reply i {
            background-image: url(/static/icon/reply2.svg);
        }

        .comment-footer .like i {
            background-image: url(/static/icon/like.svg);
        }

        .comment-footer .collect i {
            background-image: url(/static/icon/collect.svg);
        }

        .comment-footer .dislike i {
            background-image: url(/static/icon/dislike.svg);
        }

        .comment-footer .reply:hover i {
            background-image: url(/static/icon2/reply2.svg);
        }

        .comment-footer .like:hover i {
            background-image: url(/static/icon2/like.svg);
        }

        .comment-footer .collect:hover i {
            background-image: url(/static/icon2/collect.svg);
        }

        .comment-footer .dislike:hover i {
            background-image: url(/static/icon2/dislike.svg);
        }

        <!--
        {#  replyitem格式设置  #}
        -->
        .reply-items {
            margin-left: 58px;
            padding: 20px 18px;
            display: block;
            background-color: #ebebeb;
        }

        .reply-item {
            display: block;
            border-bottom: 1px solid #aaaaaa;
            padding-top: 20px;
            padding-bottom: 10px;
        }

        .reply-item .reply-user-pic {
            display: inline-block;
            border-radius: 50%;
            height: 40px;
            width: 40px;
            vertical-align: top;
        }

        .reply-user-pic img {
            border-radius: 50% 50%;
            height: 100%;
            width: 100%;
        }

        .reply-user-info {
            margin-left: 12px;
            display: inline-block;
            vertical-align: top;
        }

        .reply-user-name {
            color: #000;
            font-size: 12px;
        }

        .reply-time {
            margin-top: 8px;
            font-size: 12px;
            color: #999;
        }

        .reply-con {
            font-size: 14px;
            margin-bottom: 12px;
            padding-top: 10px;
        }

        .reply-con img {
            max-width: 250px;
            max-height: 500px;
        }

        .reply-footer {
            display: block;
            overflow: hidden;
        }

        .reply-footer i {
            display: inline-block;
            width: 18px;
            height: 18px;
            background-size: 100% 100%;
            vertical-align: -4px;
            margin-right: 5px;
        }

        .reply-footer div {
            margin-right: 24px;
            font-size: 14px;
            line-height: 18px;
            cursor: pointer;
            display: inline-block;
        }

        .reply-footer span {
            float: right;
            color: #999;
            margin-top: 10px;
        }

        .reply-footer div:hover {
            color: #7c5dc7;
        }

        .reply-footer .reply i {
            background-image: url(/static/icon/reply2.svg);
        }

        .reply-footer .like i {
            background-image: url(/static/icon/like.svg);
        }

        .reply-footer .collect i {
            background-image: url(/static/icon/collect.svg);
        }

        .reply-footer .dislike i {
            background-image: url(/static/icon/dislike.svg);
        }

        .reply-footer .reply:hover i {
            background-image: url(/static/icon2/reply2.svg);
        }

        .reply-footer .like:hover i {
            background-image: url(/static/icon2/like.svg);
        }

        .reply-footer .collect:hover i {
            background-image: url(/static/icon2/collect.svg);
        }

        .reply-footer .dislike:hover i {
            background-image: url(/static/icon2/dislike.svg);
        }

        {#  右侧导航栏的css函数  #}
        .right_num {
            padding-top: 4px;
            color: #999;
            padding-left: 20px;
            font-size: 12px;
            line-height: 18px;
        }

        .right_rank {
            display: inline-block;
            width: 16px;
            margin: 4px 8px 4px 0;
            padding-right: 1px;
            color: #fff;
            font-weight: 500;
            font-size: 12px;
            line-height: 16px;
            letter-spacing: -1px;
            text-align: center;
            vertical-align: top;
            word-break: keep-all;
            border-radius: 2px;
        }

        .right_nav {
            background-color: #ffffff;
            border-radius: 10px;
            font-size: 16px;
            margin-top: 35px;
            border: 1px solid #ebebeb;
        }

        .right_nav h1 {
            font-weight: bold;
            padding-top: 1px;
            padding-left: 20px;
            font-size: 20px;
        }

        .right_nav dl {
            padding-left: 20px;
            padding-bottom: 8px;
        }

        .rigtht_nav dl a {
            color: #899297;
            cursor: pointer;
            text-decoration: none;
        }
    </style>
{% endblock %}
{#</body>#}
{#</html>#}